@import "../../_variables.sass";

.toggle {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 16px;
  margin-top: 4px;
}

.toggle input {
  opacity: 0;
  width: 0;
  height: 0;
}

.toggle input:checked + .slider {
  background: white;
  outline: 1px solid black;
}

.toggle input:checked + .slider::before {
  transform: translateX(22px);
  background: black url("../../assets/images/icons/action-icons/check-white.svg") no-repeat center;
}


.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #dddddd;
  transition: 0.1s;
  border-radius: 25px;
}

.slider::before {
  position: absolute;
  content: "";
  width: 20px;
  height: 20px;
  bottom: -2px;
  background: #8e8e8e url("../../assets/images/icons/action-icons/cross-small-grey.svg") no-repeat center;
  transition: 0.25s;
  border-radius: 50%;
}

.toggle-container,
.toggle-container * {
  line-height: normal;
}

.toggle-label {
  font-size: 16px;
  font-weight: $weight-bold;
  color: $primary;
  margin-left: 15px;
  text-transform: uppercase;

}
